Bug 430546 - Autofs cannot mount CIFS
Autofs cannot mount CIFS
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: autofs (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Ian Kent
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-28 13:23 EST by Ken
Modified: 2009-01-09 04:02 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:37:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
smb.conf from server (961 bytes, application/octet-stream)
2008-01-28 13:23 EST, Ken
no flags Details

  None (edit)
Description Ken 2008-01-28 13:23:40 EST
Description of problem:
Autofs cannot connect to CIFS share served on samba versions including FC5
(3.0.22-1.fc5) through FC8 (3.0.28-0.fc8). However manual mount (command + args
or fstab) works fine.

Version-Release number of selected component (if applicable):
autofs (1:5.0.2-24)

How reproducible:
Always

Steps to Reproduce:
1: Entry in /etc/auto.misc:
www    
-fstype=cifs,file_mode=0750,dir_mode=0777,uid=www,gid=www,rsize=8192,wsize=8192,credentials=/etc/credentials/www
media01:/www
2: Attempt to list/read mount

  
Actual results:
Messages in /var/log/messages:
Jan 28 10:06:29 dev01 automount[25946]: open_mount:259: (mount):cannot open
mount module cifs (/usr/lib/autofs/mount_cifs.so: cannot open shared object
file: No such file or directory)
Jan 28 10:06:30 dev01 kernel:  CIFS VFS: cifs_mount failed w/return code = -6


Expected results:

Additional info:
a) Result occurs/identical when selinux is disabled on either or both: client,
server, nor when firewall stopped on client and server.
b) Server /var/log/messages:
Jan 28 09:59:24 media01 smbd[18962]: [2008/01/28 09:59:24, 0]
smbd/service.c:make_connection(1191)
Jan 28 09:59:24 media01 smbd[18962]:   dev01.serverdo (10.16.44.15) couldn't
find service
c) server's smb.conf is attached

autofs in same config worked fine on FC5 (autofs 1:4.1.4-25)
Comment 1 Ken 2008-01-28 13:23:40 EST
Created attachment 293176 [details]
smb.conf from server
Comment 2 Ian Kent 2008-02-04 09:36:14 EST
(In reply to comment #0)
>
-fstype=cifs,file_mode=0750,dir_mode=0777,uid=www,gid=www,rsize=8192,wsize=8192,credentials=/etc/credentials/www
> media01:/www

Can you try using ://media01/www, assuming that is actually the
location you wish to mount.
Comment 3 Ken 2008-02-04 12:58:55 EST
This host/path syntax works. 

May I suggest that the modules log suggestions when the other (legacy) syntaxes
fail?

Also may I ask why the syntax requires a leading colon? In formal URL syntax
this would be (I believe) a malformed/incomplete protocol specifier
(cifs://media01/www), since colon is the last char of a protocol designator. 

I believe implicit protocol (given -t cifs) should work also, this syntax used
to work if I recall: "//media01/www".

Thank again.
Comment 4 Ian Kent 2008-02-04 20:50:37 EST
(In reply to comment #3)
> This host/path syntax works. 

Great.

> 
> May I suggest that the modules log suggestions when the other (legacy) syntaxes
> fail?

That's not so easy, I'll thik about it.

> 
> Also may I ask why the syntax requires a leading colon? In formal URL syntax
> this would be (I believe) a malformed/incomplete protocol specifier
> (cifs://media01/www), since colon is the last char of a protocol designator. 

For autofs the ":" isn't really part of the url.
The ":" escape is required by autofs for any mount location
that begins with a "/".

> 
> I believe implicit protocol (given -t cifs) should work also, this syntax used
> to work if I recall: "//media01/www".

Perhaps it has got through at times but the rule is the ":"
escape is required by autofs. It's been that way for a long
time.

Ian
Comment 5 Bug Zapper 2008-11-26 04:36:20 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-01-09 02:37:58 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.